import React from 'react';
import { ContainerProperties } from '@react-three/uikit';
export type AccordionProperties = ContainerProperties;
export declare function Accordion({ children, ...props }: AccordionProperties): React.JSX.Element;
export type AccordionItemProperties = ContainerProperties & {
    value: string;
};
export declare function AccordionItem({ children, ...props }: AccordionItemProperties): React.JSX.Element;
export type AccordionTriggerProperties = ContainerProperties;
export declare function AccordionTrigger({ children, ...props }: AccordionTriggerProperties): React.JSX.Element;
export type AccordionContentProperties = ContainerProperties;
export declare function AccordionContent({ children, ...props }: AccordionContentProperties): React.JSX.Element | null;
