import { ContainerProperties } from '@react-three/uikit';
import React from 'react';
declare const badgeVariants: {
    default: {
        defaultProps: {
            color: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        containerProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        containerHoverProps: {
            backgroundOpacity: number;
        };
    };
    secondary: {
        defaultProps: {
            color: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        containerProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        containerHoverProps: {
            backgroundOpacity: number;
        };
    };
    destructive: {
        defaultProps: {
            color: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        containerProps: {
            backgroundColor: import("@preact/signals-core").ReadonlySignal<import("three").Color>;
        };
        containerHoverProps: {
            backgroundOpacity: number;
        };
    };
    outline: {};
};
export type BadgeProperties = ContainerProperties & {
    variant?: keyof typeof badgeVariants;
};
export declare function Badge({ children, variant, hover, ...props }: BadgeProperties): React.JSX.Element;
export {};
