import { ContainerProperties } from '@react-three/uikit';
import React, { ReactNode } from 'react';
export type CardProperties = ContainerProperties;
export declare function Card({ children, ...props }: CardProperties): React.JSX.Element;
export type CardHeaderProperties = ContainerProperties;
export declare function CardHeader(props: CardHeaderProperties): React.JSX.Element;
export type CardTitleProperties = {
    children?: ReactNode;
};
export declare function CardTitle(props: CardTitleProperties): React.JSX.Element;
export type CardDescriptionProperties = {
    children?: ReactNode;
};
export declare function CardDescription(props: CardDescriptionProperties): React.JSX.Element;
export type CardContentProperties = ContainerProperties;
export declare function CardContent(props: CardContentProperties): React.JSX.Element;
export type CardFooterProperties = ContainerProperties;
export declare function CardFooter(props: CardFooterProperties): React.JSX.Element;
