import { ContainerProperties } from '@react-three/uikit';
import React from 'react';
import { Signal } from '@preact/signals-core';
export type ProgressProperties = {
    value?: Signal<number> | number;
} & Omit<ContainerProperties, 'children'>;
export declare function Progress({ value, ...props }: ProgressProperties): React.JSX.Element;
