import { ContainerProperties } from '@react-three/uikit';
import React from 'react';
export type RadioGroupProperties = {
    value?: string;
    onValueChange?(value: string): void;
    defaultValue?: string;
} & ContainerProperties;
export declare function RadioGroup({ defaultValue, value: providedValue, onValueChange, children, ...props }: RadioGroupProperties): React.JSX.Element;
export type RadioGroupItemProperties = ContainerProperties & {
    disabled?: boolean;
    value: string;
};
export declare function RadioGroupItem({ disabled, value, children, ...props }: RadioGroupItemProperties): React.JSX.Element;
