import { ContainerProperties } from '@react-three/uikit';
import React from 'react';
export type SliderProperties = {
    disabled?: boolean;
    value?: number;
    defaultValue?: number;
    onValueChange?(value: number): void;
    min?: number;
    max?: number;
    step?: number;
} & Omit<ContainerProperties, 'children'>;
export declare function Slider({ disabled, value: providedValue, defaultValue, onValueChange, min, max, step, ...props }: SliderProperties): React.JSX.Element;
