import { ContainerProperties } from '@react-three/uikit';
import React from 'react';
export type SwitchProperties = Omit<ContainerProperties, 'children'> & {
    defaultChecked?: boolean;
    checked?: boolean;
    disabled?: boolean;
    onCheckedChange?(checked: boolean): void;
};
export declare function Switch({ defaultChecked, checked: providedChecked, disabled, onCheckedChange, ...props }: SwitchProperties): React.JSX.Element;
