import { ContainerProperties } from '@react-three/uikit';
import React from 'react';
export type TooltipProperties = ContainerProperties;
export declare function Tooltip({ children, ...props }: TooltipProperties): React.JSX.Element;
export type TooltipTriggerProperties = ContainerProperties;
export declare function TooltipTrigger(props: TooltipTriggerProperties): React.JSX.Element;
export type TooltipContentProperties = ContainerProperties & {
    sideOffset?: number;
};
export declare function TooltipContent({ children, sideOffset, ...props }: TooltipContentProperties): React.JSX.Element | null;
